﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using static CommunicationEvents;

public class Pointer : Gadget
{
    public override void _Awake()
    {
        this.UiName = "Point Mode";
        if (MaxRange == 0)
            MaxRange = GlobalBehaviour.GadgetLaserDistance;
    }

    public override void _OnHit(RaycastHit hit)
    {
        if (!GadgetCanBeUsed) return;

        if (!this.isActiveAndEnabled) return;

        var pid = FactManager.AddPointFact(hit).Id;

        if (hit.transform.gameObject.layer == LayerMask.NameToLayer("Ray"))
        {
            FactManager.AddOnLineFact(pid, hit.transform.GetComponent<FactObject>().URI, true);
        }
    }

    public override void _OnEnable() { }

    public override void _OnDisable() { }
}
